Jump to content

Recommended Posts

I am in the process of migrating my shop over to the frozen edition so that it is PHP compatible. However I ave a custom front end theme so the process is not straightforward but is progressing well.

I am experiencing erros of this type:
 
Warning: Use of undefined constant TEXT_EDIT_CATEGORIES_SEO_TITLE - assumed 'TEXT_EDIT_CATEGORIES_SEO_TITLE' (this will throw an Error in a future version of PHP) in D:\.......\categories.php on line 1041

My question is what are these uppercase variables?

'style="width: 300px;" placeholder="' . PLACEHOLDER_COMMA_SEPARATION . '"');

I don't see how or where these are set. I can surround them in quotes which supresses the error but I don't think this is correct as the html which is rendered is literal.

 

Thanks in advance,

 

Bob

 

Share this post


Link to post
Share on other sites

Hello Bob,

You must have a version of php> = 7.0
Frozen is not compatible with this version of php.
I advise you to use PHOENIX which works very well with the latest versions of Php:
https://www.oscommerce.com/Products&Download=oscom2ce-phoenix-v1.0.2.0
PHOENIX is bootstrap like Frozen but has many improvements that make it a little gem 😉

Edited by bonbec

Get the latest Responsive osCommerce CE (community edition) here .

(Live   : OsC 2.2, php 5.4 & UTF-8  |  Local : Phoenix for future shop)

Share this post


Link to post
Share on other sites

Ok thanks this makes sense now. I think I originally looked into php upgrade options earlier this year.  I downloaded the Frozen (or Edge I don't remember exactly) and it sat on my Dev machine for 6 months. Since then it seems the Phoenix has risen from the ashes! I will give it a try!

Share this post


Link to post
Share on other sites
4 hours ago, spacebiscuit75 said:

I don't see how or where these are set.

Those are usually set in the language files.  Look in includes/languages e.g. english.php and all the files inside the english directory are language files.  Similar for other languages, e.g. german.php and german. 

Some may also be set in the configuration database table. 

The admin area also has language files. 

This may also be a sign that you are mixing versions of osCommerce.  If the language files and other files are from different versions, the defines may not match. 

Here is PLACEHOLDER_COMMA_SEPARATION in Phoenix in includes/languages/english.php  and TEXT_EDIT_CATEGORIES_SEO_TITLE in admin/includes/languages/english/categories.php

If you need to find others, you can use the search on GitHub (search in that repository) or search on Google.  If it shows in oscommerce.sql file, then it is in the database.  You may be able to copy the insert from oscommerce.sql and run it in something like phpMyAdmin. 

I too think that if you are going to the trouble of updating, you may be better off upgrading to Phoenix rather than Frozen.  Phoenix has additional capabilities that may make future upgrades easier.  But these kinds of problems are likely in either. 

You may find a diff program helpful.  I use KDiff3, which allows me to compare three versions of the file at once: 

  • The original stock version.
  • Your modified version (for your store). 
  • The new version. 

That makes it easier to tell what differences are caused by the upgrade and what ones are individual modifications for your store. 


Always backup before making changes.

Share this post


Link to post
Share on other sites

Ok so I have decided to do a clean install of the Phoenix edition and now I i will attempt to add the custom theme. 

So far so good, I have imported my customers, orders and products and I have no PHP errors even running PHP v.7.3.5

Thanks for the direction, much appreciated.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×